org.keycloak.dom.saml.v1.assertion

## Class SAML11AuthenticationStatementType

- java.lang.Object
- - org.keycloak.dom.saml.v1.assertion.SAML11StatementAbstractType
  - - org.keycloak.dom.saml.v1.assertion.SAML11SubjectStatementType
    - - org.keycloak.dom.saml.v1.assertion.SAML11AuthenticationStatementType

- All Implemented Interfaces:
    Serializable

      public class SAML11AuthenticationStatementType
      extends SAML11SubjectStatementType

  Since:
    Jun 22, 2011
  Author:
    Anil.Saldhana@redhat.com
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected XMLGregorianCalendar` | `authenticationInstant`
    `protected URI` | `authenticationMethod`
    `protected List<SAML11AuthorityBindingType>` | `authorityBinding`
    `protected SAML11SubjectLocalityType` | `subjectLocality`

    - ### Fields inherited from class org.keycloak.dom.saml.v1.assertion.SAML11SubjectStatementType

      `subject`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SAML11AuthenticationStatementType(URI authenticationMethod, XMLGregorianCalendar authenticationInstant)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(SAML11AuthorityBindingType advice)`
    `void` | `addAllAuthorityBindingType(List<SAML11AuthorityBindingType> advice)`
    `XMLGregorianCalendar` | `getAuthenticationInstant()`
    `URI` | `getAuthenticationMethod()`
    `List<SAML11AuthorityBindingType>` | `getAuthorityBindingType()`
    `SAML11SubjectLocalityType` | `getSubjectLocality()`
    `boolean` | `remove(SAML11AuthorityBindingType advice)`
    `void` | `setSubjectLocality(SAML11SubjectLocalityType subjectLocality)`

    - ### Methods inherited from class org.keycloak.dom.saml.v1.assertion.SAML11SubjectStatementType

      `getSubject, setSubject`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### authenticationMethod

          protected URI authenticationMethod

    - #### authenticationInstant

          protected XMLGregorianCalendar authenticationInstant

    - #### subjectLocality

          protected SAML11SubjectLocalityType subjectLocality

    - #### authorityBinding

          protected List<SAML11AuthorityBindingType> authorityBinding

  - ### Constructor Detail

    - #### SAML11AuthenticationStatementType

          public SAML11AuthenticationStatementType(URI authenticationMethod,
                                                   XMLGregorianCalendar authenticationInstant)

  - ### Method Detail

    - #### getAuthenticationMethod

          public URI getAuthenticationMethod()

    - #### getAuthenticationInstant

          public XMLGregorianCalendar getAuthenticationInstant()

    - #### getSubjectLocality

          public SAML11SubjectLocalityType getSubjectLocality()

    - #### setSubjectLocality

          public void setSubjectLocality(SAML11SubjectLocalityType subjectLocality)

    - #### add

          public void add(SAML11AuthorityBindingType advice)

    - #### addAllAuthorityBindingType

          public void addAllAuthorityBindingType(List<SAML11AuthorityBindingType> advice)

    - #### remove

          public boolean remove(SAML11AuthorityBindingType advice)

    - #### getAuthorityBindingType

          public List<SAML11AuthorityBindingType> getAuthorityBindingType()

Copyright © 2021 JBoss by Red Hat. All rights reserved.